Subject: bug#13816: closed (Re: bug#13816: 24.3.50; turn-on-font-lock doesn't turn it on)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 26 Feb 2013 07:54:03 +0000

Your bug report

#13816: 24.3.50; turn-on-font-lock doesn't turn it on

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13816: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13816
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13816: 24.3.50; turn-on-font-lock doesn't turn it on
From: Katsumi Yamaoka <[email-masked]>
To: [email-masked]
Cc: Stefan Monnier <[email-masked]>
Date: Tue, 26 Feb 2013 16:51:10 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

I confirmed it has been fixed on:

In GNU Emacs 24.3.50.1 (i686-pc-cygwin, X toolkit, Xaw3d scroll bars)
 of 2013-02-26 on yamaoka-PC
Bzr revision: 111882 [email-masked]
Windowing system distributor `The Cygwin/X Project', version 11.0.11302000

Sorry for the noise.

Katsumi Yamaoka wrote:
> Stefan Monnier wrote:
>>> Recently turn-on-font-lock set to some hook turns font-lock
>>> on but turns it off immediately regardless of the value of
>>> global-font-lock-mode.  Here's a recipe:

>>> emacs -Q
>>> Eval: (add-hook 'emacs-lisp-mode-hook 'turn-on-font-lock)
>>> and visit some .el file.

>> Works fine on the trunk right now.  Can you confirm it was fixed if you
>> try a recent enough build?

> I build Emacs from the trunk almost everyday.  Now I use:

> In GNU Emacs 24.3.50.1 (i686-pc-cygwin, X toolkit, Xaw3d scroll bars)
>  of 2013-02-26 on localhost
> Bzr revision: 111880 [email-masked]
> Windowing system distributor `The Cygwin/X Project', version 11.0.11302000
> Configured using:
>  `configure --verbose --with-x-toolkit=lucid --without-imagemagick
>  --without-dbus --without-gconf --without-gsettings'

> I've reverted the 111870 change because of bug#13818, though.

> According to my tracing of run-mode-hooks, it turns on font-lock
> but turns it off by the last line:

> (defun run-mode-hooks (&rest hooks)
> [...]
>     ;; ON
>     (apply 'run-hooks (cons 'change-major-mode-after-body-hook hooks))
>     ;; OFF
>     (run-hooks 'after-change-major-mode-hook)))

Subject: 24.3.50; turn-on-font-lock doesn't turn it on
From: Katsumi Yamaoka <[email-masked]>
To: [email-masked]
Date: Tue, 26 Feb 2013 11:02:12 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Recently turn-on-font-lock set to some hook turns font-lock
on but turns it off immediately regardless of the value of
global-font-lock-mode.  Here's a recipe:

emacs -Q
Eval: (add-hook 'emacs-lisp-mode-hook 'turn-on-font-lock)
and visit some .el file.

In Emacs 24.2, it works no matter what global-font-lock-mode is.
Thanks.